{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PUTI_APPLICATION; 
            externalType = VARCHAR2; 
            name = putiApplication; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = PUTI_DEBUT; 
            externalType = DATE; 
            name = putiDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = PUTI_FIN; 
            externalType = DATE; 
            name = putiFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = PUTI_HOSTNAME; 
            externalType = DATE; 
            name = putiHostname; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = PUTI_LOGIN; 
            externalType = VARCHAR2; 
            name = putiLogin; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = PUTI_ORDRE; 
            externalType = NUMBER; 
            name = putiOrdre; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (putiOrdre); 
    className = EOGenericRecord; 
    classProperties = (
        putiOrdre, 
        putiApplication, 
        putiLogin, 
        putiDebut, 
        putiFin, 
        putiHostname, 
        fannKey, 
        toScolFormationAnnee
    ); 
    externalName = SCOL_PARAMETRES_UTILISATEUR; 
    fetchSpecificationDictionary = {}; 
    name = ScolParametresUtilisateur; 
    primaryKeyAttributes = (putiOrdre); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }
    ); 
}
